
Smart Proxy - Bug #11599

Parsing environments/manifests in Puppet 4 fails

08/28/2015 09:09 AM - Damien Churchill

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.10.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/317

  

Description

When using the smart-proxy with Puppet 4, the proxy fails to scan both environments and manifests due to api/config option

changes.

I don't have the exact error messages or tracebacks any more, however the fixes are available in 

https://github.com/theforeman/smart-proxy/pull/313.

Related issues:

Related to Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

Related to Smart Proxy - Feature #11992: Support loading Puppet from AIO pack... Rejected 09/29/2015

Associated revisions

Revision 763d7aef - 09/29/2015 06:33 AM - Dmitri Dolguikh 

Fixes #11599: introduced support for puppet 4.0 These changes are based on Damien Churchil's PR

Revision 3539b6ce - 09/30/2015 08:59 AM - Dominic Cleal

refs #11599 - permit Puppet 4.x in Gemfile

History

#1 - 08/28/2015 09:27 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/313 added

- Pull request deleted ()

#2 - 08/28/2015 09:27 AM - Dominic Cleal

- Related to Tracker #8447: Puppet 4 support added

#3 - 09/29/2015 06:58 AM - Dominic Cleal

- translation missing: en.field_release set to 63

- Assignee set to Anonymous

#4 - 09/29/2015 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

merged in at 763d7ae.

#5 - 09/29/2015 07:02 AM - Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/317 added

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/313)
#6 - 09/29/2015 07:19 AM - Dominic Cleal

- % Done changed from 0 to 100

Note there's no need to close the ticket manually, Redmine will do it hourly.

#7 - 09/29/2015 07:51 AM - Dominic Cleal

- Related to Feature #11992: Support loading Puppet from AIO packages added
